Bug 111549 - Deletion of ContentBundle with live versions
Deletion of ContentBundle with live versions
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity low
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-05 03:26 EST by Carsten Clasohm
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 05:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2003-12-05 03:26:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030925

Description of problem:
When a ContentBundle has more than one language instance and one of
the non-primary instances has a live version, the Browse tab under
Content Center -> Content Section shows a "delete" link for the
bundle. Clicking this link removes the bundle and all draft versions,
but leaves behind the live version in the database. Afterwards, there
is no way to reach this live version via the UI.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new Article
2. Add a new language instance
3. Publish this language instance
4. Go to Content Center -> Content Section -> Browse
5. Delete the Article
6. Take a look at the cms_items table and see that the live version of
the second language instance still exists

    

Expected Results:  The "delete" link should not be shown if any of the
bundle's language instances have a live version.


Additional info:
Comment 1 Richard Li 2003-12-05 06:56:55 EST
carsten, is this the same as bug 111505?
Comment 2 Carsten Clasohm 2003-12-05 12:44:21 EST
No, although both are similar. This bug is about the delete link on
the Browse tab of the Content Section, where bundles are listed. Bug
111505 is about the Languages tab of a single content item, where
language instances are listed.
Comment 3 Carsten Clasohm 2006-07-12 05:06:59 EDT
Closing old tickets.

Note You need to log in before you can comment on or make changes to this bug.